.home
  .particles
    canvas
      position: absolute
      margin-bottom: 30px !important
      //top: 0
      //opacity: .45
      height: 100%
      width: 100%
  .nav
    background-color: #ffffff
    padding: 10px
    width: 100%
    position: fixed !important
    z-index: 5
    display: grid
    grid-template-columns: repeat(2, auto)
    .logo
      justify-self: end
      img
        width: 100px !important
        display: inline-block !important
    ul
      padding-top: 30px
      li
        display: inline-block !important
        padding-left: 40px
        color: #8c9694
        font-weight: 600
        font-size: 16px
        .flag
          img
            width: 1.5rem
            height: auto
        a
          &:hover
            text-decoration: none
            color: #24c8a6
  .slider
    .md-card
      position: relative
      padding-top: 150px
      .md-card-media
        height: 100% !important
        .swiper-slide
          img
            height: auto !important
            width: 1840px !important
  .header-bottom
    background-color: $head-bottom-bg
    display: grid
    .header-bottom-content
      display: grid
      grid-template-columns: repeat(4, 1fr)
      //grid-column-gap: 30px
      color: #ffffff
      padding: 30px
      input
        background-color: #4a8ae9
        width: 80%
        height: 50px
        color: white
        padding-left: 10px
        margin-top: 21px
        border: 0
        &::placeholder
          color: white
          padding-left: 5px
      .single-header-bottom
        display: grid
        grid-template-columns: repeat(2, auto)
        grid-column-gap: 20px
        justify-self: start
        p
          font-size: 20px
          font-weight: 600
  .parallax
    .Masthead
      height: 70vh
      position: relative !important
      scroll-behavior: smooth
      overflow: hidden
      z-index: -1
      padding: 60px 80px
    .Masthead__image.is-fixed
      position: fixed
      //background-image: url("./../assets/Image/pattern_wallpaper_by_invaderjohn.jpg")
      background-size: cover !important
      h4
        text-align: center
      .md-button
        width: 200PX
        background: $apply-btn
        border-radius: 5px
        padding: 0
        border: 0
        color: $nav-color
        line-height: 50px

    .Masthead__image.is-parallax
      left: 0
      will-change: transform
      right: 0
      top: 0
    .Masthead__image
      width: 100%
      overflow: hidden
        overflow-x: hidden
        overflow-y: hidden
      background: no-repeat scroll top left
      height: 100%
  .consulation
    display: grid
    grid-template-columns: 1fr
    border-bottom: 1px solid #ededed
    border-top: 1px solid #ededed
    background-color: #f7f8fa
    justify-self: center
    padding-top: 120px
    padding-bottom: 100px
    .consulation-content
      width: 500px
      justify-self: center
      text-align: center
      p
        text-align: center
        line-height: 30px

  .parallax
    .Masthead
      height: 70vh
      position: relative !important
      scroll-behavior: smooth
      overflow: hidden
      z-index: -1
      padding: 60px 80px
    .Masthead__image.is-fixed
      position: fixed
      //background-image: url("./../assets/Image/pattern_wallpaper_by_invaderjohn.jpg")
      background-size: cover !important
      h4
        text-align: center
      .md-button
        width: 200PX
        background: $apply-btn
        border-radius: 5px
        padding: 0
        border: 0
        color: $nav-color
        line-height: 50px

    .Masthead__image.is-parallax
      left: 0
      will-change: transform
      right: 0
      top: 0
    .Masthead__image
      width: 100%
      overflow: hidden
        overflow-x: hidden
        overflow-y: hidden
      background: no-repeat scroll top left
      height: 100%
  .project
    padding-bottom: 100px
    padding-top: 120px
    background-color: #FFFFFF
    text-align: center
    justify-self: center
    justify-items: center
    display: grid
    .content-project
      display: grid
      margin-top: 2em
      grid-template-columns: repeat(2, 1fr)
      grid-column-gap: 50px
      justify-self: center
      .single-project
        display: grid
        grid-template-columns: repeat(auto-fill, minmax(200px, 1fr))
        margin-top: 2em
        .single-project-hover
          position: relative !important
          overflow: hidden
          &:hover
            background: rgba(0, 01, 0, 0.9)
            img
              opacity: .3
            .middle
              opacity: 1
          img
            opacity: 1
            display: block
            -webkit-transition: all 2s ease !important
            -moz-transition: all 2s ease !important
            transition: all 2s ease !important
            &:hover
              transform: scale(1.1)
              -webkit-transform: scale(1.1)
              -webkit-transition: all 2s ease !important
              -moz-transition: all 2s ease !important
              transition: all 2s ease !important
              opacity: .3
          .middle
            transition: .5s
            opacity: 0
            position: absolute
            top: 50%
            left: 50%
            transform: translate(-50%, -50%)
            -ms-transform: translate(-50%, -50%)
            text-align: center
            p
              color: white
              font-size: 16px
              line-height: 25px
              margin-top: 100px
    .project-button
      .fade-enter-active, .fade-leave-active
        transition: opacity .5s
      .fade-enter, .fade-leave-to
        opacity: 0
      .button
        background: $apply-btn
        padding: 0
        border: 0
        color: $nav-color
        line-height: 40px
        margin-top: 60px
        width: 150px
      .hide-content-project
        display: grid
        grid-template-columns: repeat(3, 1fr)
        justify-items: center
        justify-self: center
        padding-right: 70px
        grid-column-gap: 10px
        margin-top: 50px
  .example-2
    .expand-enter-active, .expand-leave-active
      transition: all .9s ease
      height: 30px
      padding: 10px
      background-color: red
      overflow: hidden
    .expand-enter, .expand-leave-to
      height: 0
      padding: 0 10px
      opacity: 0

  .process
    background-color: $process-bg
    padding-bottom: 100px
    padding-top: 120px
    text-align: center
    justify-self: center
    display: grid
    .title
      h2
        font-weight: 700
        font-size: 40px
        color: $title-color
      p
        color: $content-color
    .process-list
      .process-list-item
        display: grid
        grid-template-columns: repeat(4, 1fr)
        grid-column-gap: 27px
        margin-top: 55px
        .single-process
          .process-content
            display: grid
            grid-template-rows: repeat(2, 1fr)
            text-align: center
            .icon
              text-align: center
              background-color: #e8ebf2
              width: 80px
              height: 80px
              border-radius: 50px
              justify-self: center
              &:hover
                background-color: #3a7cdd
              .color
                width: 40px
                color: #3a7cdd
                padding: 0
                transition: .4s
                &:hover
                  background-color: #3a7cdd
                  color: #FFFFFF
      .process-number
        display: grid
        grid-template-columns: repeat(4, 1fr)
        justify-items: center
        .single-number
          width: 40px
          height: 40px
          background-color: #444444
          border-radius: 50px
          color: $nav-color
          margin-top: 25px
          text-align: center
          line-height: 8px
          &:after
            border-bottom: 1px solid #232323

  .team-section
    padding-top: 100px
    padding-bottom: 100px
    background-color: #FFFFFF
    text-align: center
    justify-self: center
    .title
      h2
        font-weight: 700
        font-size: 40px
        color: $title-color
      p
        color: $content-color
    .team-list
      display: grid
      grid-template-columns: repeat(4, 1fr)
      justify-items: center
      grid-column-gap: 5px
      margin-top: 50px
      .single-team
        h4
          color: #232323
          font-size: 20px
          margin-bottom: 10px
          transition: .4s
        p
          color: #666
        .single-team-hover
          position: relative !important
          &:hover
            background: rgba(35, 41, 53, .85)
            img
              opacity: .3
            .middle
              opacity: 1
          img
            opacity: 1
            display: block
            transition: .5s ease
          .middle
            transition: .5s
            opacity: 0
            position: absolute
            top: 50%
            left: 50%
            transform: translate(-50%, -50%)
            -ms-transform: translate(-50%, -50%)
            text-align: center
            p
              color: white
              font-size: 16px
              line-height: 25px
              margin-top: 100px
  .test-section
    padding-top: 125px
    padding-bottom: 100px
    background-color: #FFFFFF
    justify-self: center
    .title
      h2
        font-weight: 700
        font-size: 40px
        text-align: center
        color: $title-color
      p
        color: $content-color
        text-align: center
    .test-content
      display: grid
      //direction: rtl
      grid-template-columns: repeat(auto-fill, minmax(500px, 1fr))
      grid-gap: 20px
      align-items: center
      grid-column-gap: 5px
      justify-items: center
      //display: grid
      //grid-template-colum: repeat(4, 1fr)
      //justify-items: center
      //grid-column-gap: 5px
      margin-top: 50px
      .test-single
        position: relative !important
        overflow: hidden
        .test-img
          &:hover
          img
            -webkit-transition: all 1s ease !important
            -moz-transition: all 1s ease !important
            transition: all 1s ease !important
            &:hover
              transform: scale(1.1)
              -webkit-transform: scale(1.1)
              -webkit-transition: all 1s ease !important
              -moz-transition: all 1s ease !important
              transition: all 1s ease !important
        .test-title
          position: absolute
          bottom: 0
          background-color: rgba(58, 124, 221, .9)
          display: block
          width: 260px !important
          color: #FFFFFF
          transition: .4s
          h3
            padding-left: 20px
          h5
            padding-left: 20px
  .md-card
    position: relative
    .md-card-media
      img
        width: 20% !important
        .swiper-slide
          margin-right: 30px !important
          text-align: center !important
          display: grid
          justify-items: center
          justify-self: center !important
          background-color: #2e3441
  .contact
    padding-top: 100px
    //padding-bottom: 100px
    .title
      h2
        font-weight: 700
        font-size: 40px
        color: $title-color
        text-align: center
        margin-bottom: 70px
    .contact-content
      display: grid
      grid-template-columns: repeat(2, 1fr)
      justify-self: center
      background-color: #232935
      .form
        text-align: center
        margin-top: 70px
        .title
          h2
            color: $process-bg
            font-size: 30px
        input
          width: 85%
          background-color: #2e3441
          border: 0
          padding: 15px
          border-radius: 5px
          margin-top: 10px
          margin-bottom: 10px
          &::placeholder
            color: $process-bg
          &:active
            border: 1px solid #2e3441
        textarea
          width: 85%
          border: 0
          padding: 15px
          border-radius: 5px
          margin-top: 10px
          margin-bottom: 10px
          background-color: #2e3441
          &:active,
          &:focus
            background-color: #2e3441
            border: 1px solid #2e3441
          &::placeholder
            color: $process-bg
        .button
          text-align: center
          .md-button
             width: 200px
             background-color: $apply-btn
             border-radius: 5px
             padding: 0
             border: 0
             color: $nav-color
             line-height: 50px
  .Testimonials
    background-color: $process-bg
    padding-top: 125px
    padding-bottom: 100px
    justify-self: center
    .title
      text-align: center
      h2
        font-weight: 700
        font-size: 40px
        color: $title-color
    .customer-content
      display: grid
      grid-template-columns: repeat(3, 1fr)
      grid-column-gap: 27px
      padding: 50px
      .single-customer-content
        display: grid
        grid-template-columns: repeat(2, auto)
        grid-column-gap: 20px
        img
          height: 180px
        .text-content
          h4
            font-size: 20px
            font-weight: 600
          h5
            font-size: 14px
            font-weight: 400
            color: #666666
  .footer
    background-color: #232935
    padding-top: 70px
    display: grid
    //justify-self: center
    .footer-content
      display: grid
      grid-template-columns: repeat(3, 1fr)
      grid-column-gap: 10px
      justify-self: center
      padding: 50px
      .single-footer-content
        justify-self: center
        h4
          color: $process-bg
          font-weight: 600
          font-size: 22px
        p
          color: #9ea5b4
        .single-footer-info
          li
            color: #9ea5b4
            list-style-type: none
            margin-top: 20px
            i
              font-size: 22px
              padding-right: 20px


  .top-footer
    .top-footer-content
      display: grid
      grid-template-columns: repeat(5, 1fr)
      justify-self: center
      grid-column-gap: 10px
      padding: 30px
      background-color: #FFFFFF
      justify-items: center

  .copy-right
    .copy-right-content
      display: grid
      grid-template-rows: repeat(2, 1fr)
      border-top: 1px solid #393f4a
      background-color: #232935
      padding: 15px
      p
        color: #9ea5b4
        font-size: 15px
        font-weight: 300
        text-align: center
      .social-icon
        justify-self: center
        margin-top: 18px
        a
          color: #9ea5b4
          font-size: 18px
          padding: 5px

@media screen and (max-width: $mobile-size)
  .nav
    display: grid !important
    grid-template-columns: repeat(1, 1fr) !important
    .logo
      justify-self: center !important
    ul
      li
        padding: 6px !important
        display: block !important
  .slider
    .md-card
      position: relative
      padding-top: 120px !important
      .md-card-media
        height: 100% !important
        .swiper-slide
          background-color: red
          img
            height: 100% !important
  .consulation
    .consulation-content
      width: 200px !important
  .project
    .content-project
      grid-template-columns: repeat(1, 1fr) !important
      grid-row-gap: 27px !important
    .project-button
      .hide-content-project
        grid-template-columns: repeat(1, 1fr) !important
        grid-row-gap: 27px !important
        justify-self:  end !important
        justify-items: end !important
  .process
    .title
      h2
        color: #232323 !important
        font-size: 30px !important
    .process-list
    .process-list-item
      grid-template-columns: repeat(1, 1fr) !important
      grid-row-gap: 50px !important
    .process-number
      display: none !important

  .test-section
    .title
      h2
        color: #232323 !important
        font-size: 30px !important
    .test-content
      grid-template-columns: repeat(1, 1fr) !important
      grid-row-gap: 50px !important

  .choose
    .title
      h2
        color: #232323 !important
        font-size: 30px !important

  .header-bottom-content
    grid-template-columns: repeat(1, 1fr) !important

  .Testimonials
    .customer-content
      grid-template-columns: repeat(1, 1fr) !important
      grid-row-gap: 40px

  .contact
    .contact-content
      grid-template-columns: repeat(1, 1fr) !important
      .form
        .md-button
          margin-bottom: 30px !important
  .footer
    .footer-content
      grid-template-columns: repeat(1, 1fr) !important
      .single-footer-content
        .single-footer-info
          li
            i
              display: none !important








